From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/asterisk/
Date: Mon, 5 Aug 2024 15:04:49 +0000 (UTC) [thread overview]
Message-ID: <1722870282.c4597f73e092791d69c68aa9e5db3ce3dd7021f7.mgorny@gentoo> (raw)
commit: c4597f73e092791d69c68aa9e5db3ce3dd7021f7
Author: Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Fri Aug 2 12:20:30 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 5 15:04:42 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4597f73
net-misc/asterisk: add 21.4.1
Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
net-misc/asterisk/Manifest | 1 +
net-misc/asterisk/asterisk-21.4.1.ebuild | 354 +++++++++++++++++++++++++++++++
2 files changed, 355 insertions(+)
diff --git a/net-misc/asterisk/Manifest b/net-misc/asterisk/Manifest
index 36d6c132bfd8..caf8d76d3324 100644
--- a/net-misc/asterisk/Manifest
+++ b/net-misc/asterisk/Manifest
@@ -13,3 +13,4 @@ DIST asterisk-20.6.0.tar.gz 28208707 BLAKE2B 7eaebcec7dd58912bc4ef6eccf46c0f10b3
DIST asterisk-20.9.1.tar.gz 28292603 BLAKE2B d90bceace1f34d0e03b4b3dc53443bc9276d1dfffaa16a277aa555134475a3c965d4a7e2fd6fcf5f5c37517110e078adc9f13d07aad77403a04a53f278bb849f SHA512 3de70aec7da7047d42d26fb30603d28568ae63e69fb351ed1238ff3e3d434110823518fd2e9f9c80e27460ce9706842172234f51b158de41153bb5ba5c0a03a4
DIST asterisk-21.0.2.tar.gz 26280477 BLAKE2B 4bcf2f42bf75b869e2279780c4bb3999786d844e57d48eb5fd8570e0f4ecea0de73d71077e5a5fe6ce64c1c36ef694c987872281fd30e9434bc67d91a3ce1249 SHA512 419d8c2abfa680bb1a812fcbea939f2505dc9f95f860c263c303731fb4e0870060e433787b344136832ccf9d0e34dc64da25240ab3651fb499f416ec3098a711
DIST asterisk-21.1.0.tar.gz 26268701 BLAKE2B eae9bab916198ab6fba39142d96c6391ffa711c4ac5a4dd7926c0494dabcd1606bab0525e24477f453ff419329efb0a3abf5e9a012abd2a39f6f818505dd196a SHA512 1d4aea4f02950becb492af49e2d434df725676185651b4c1e5dc502f21c8380ce1368f75726bca124d41128ea01a8210d1e229883c442a42bbdb03530fc981c8
+DIST asterisk-21.4.1.tar.gz 26346292 BLAKE2B 074a749799de8586983055ab47282c86b8ed50d9259c526edddee72a6decd5ef033b0d6abfde751865dd2631dd5b0eb59d054a0113334846f9237c493f4c4f8d SHA512 0d1ec0bd3ea0ba0f6a7aeeb17953abd87ab5cfd88b3779813f7b3c29a6ddbd0d7d89943bdc332753ed0d5b6f24f75bf77802d9e17e5ccbaa5b22bb30ed887db3
diff --git a/net-misc/asterisk/asterisk-21.4.1.ebuild b/net-misc/asterisk/asterisk-21.4.1.ebuild
new file mode 100644
index 000000000000..923c0b29641a
--- /dev/null
+++ b/net-misc/asterisk/asterisk-21.4.1.ebuild
@@ -0,0 +1,354 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} )
+
+inherit autotools linux-info lua-single toolchain-funcs
+
+DESCRIPTION="Asterisk: A Modular Open Source PBX System"
+HOMEPAGE="https://www.asterisk.org/"
+SRC_URI="https://downloads.asterisk.org/pub/telephony/asterisk/releases/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0/${PV%%.*}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE_VOICEMAIL_STORAGE=(
+ voicemail_storage_odbc
+ voicemail_storage_imap
+)
+IUSE="${IUSE_VOICEMAIL_STORAGE[*]} blocks bluetooth calendar +caps cluster codec2 curl debug doc freetds gtalk http iconv ilbc ldap lua mysql newt odbc pjproject portaudio postgres radius selinux snmp span speex srtp +ssl static statsd systemd unbound vorbis xmpp"
+IUSE_EXPAND="VOICEMAIL_STORAGE"
+REQUIRED_USE="gtalk? ( xmpp )
+ lua? ( ${LUA_REQUIRED_USE} )
+ voicemail_storage_odbc? ( odbc )
+"
+
+PATCHES=(
+ "${FILESDIR}/asterisk-16.16.2-no-var-run-install.patch"
+)
+
+DEPEND="acct-user/asterisk
+ acct-group/asterisk
+ dev-db/sqlite:3
+ dev-libs/popt
+ >=dev-libs/jansson-2.11:=
+ dev-libs/libedit
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ sys-apps/util-linux
+ sys-libs/zlib
+ virtual/libcrypt:=
+ bluetooth? ( net-wireless/bluez:= )
+ calendar? (
+ net-libs/neon:=
+ dev-libs/libical:=
+ dev-libs/iksemel
+ )
+ caps? ( sys-libs/libcap )
+ blocks? ( sys-libs/blocksruntime )
+ cluster? ( sys-cluster/corosync )
+ codec2? ( media-libs/codec2:= )
+ curl? ( net-misc/curl )
+ freetds? ( dev-db/freetds )
+ gtalk? ( dev-libs/iksemel )
+ http? ( dev-libs/gmime:2.6 )
+ iconv? ( virtual/libiconv )
+ ilbc? ( media-libs/libilbc )
+ ldap? ( net-nds/openldap:= )
+ lua? ( ${LUA_DEPS} )
+ mysql? ( dev-db/mysql-connector-c:= )
+ newt? ( dev-libs/newt )
+ odbc? ( dev-db/unixODBC )
+ pjproject? ( >=net-libs/pjproject-2.12:= )
+ portaudio? ( media-libs/portaudio )
+ postgres? ( dev-db/postgresql:* )
+ radius? ( net-dialup/freeradius-client )
+ snmp? ( net-analyzer/net-snmp:= )
+ span? ( media-libs/spandsp )
+ speex? (
+ media-libs/libogg
+ media-libs/speex
+ media-libs/speexdsp
+ )
+ srtp? ( net-libs/libsrtp:0 )
+ ssl? (
+ dev-libs/openssl:0=
+ )
+ systemd? ( sys-apps/systemd )
+ !systemd? ( !sys-apps/systemd )
+ unbound? ( net-dns/unbound )
+ vorbis? (
+ media-libs/libogg
+ media-libs/libvorbis
+ )
+ voicemail_storage_imap? ( net-libs/c-client[ssl=] )
+ xmpp? ( dev-libs/iksemel )
+"
+
+RDEPEND="${DEPEND}
+ net-misc/asterisk-core-sounds
+ net-misc/asterisk-extra-sounds
+ net-misc/asterisk-moh-opsound
+ selinux? ( sec-policy/selinux-asterisk )"
+PDEPEND="net-misc/asterisk-base"
+
+BDEPEND="dev-libs/libxml2:2
+ virtual/pkgconfig"
+
+QA_DT_NEEDED="/usr/lib.*/libasteriskssl[.]so[.][0-9]\+"
+
+ast_make() {
+ local make_args=(
+ "NOISY_BUILD=yes"
+ "ASTDBDIR=\$(ASTDATADIR)/astdb"
+ "ASTVARRUNDIR=/run/asterisk"
+ "ASTCACHEDIR=/var/cache/asterisk"
+ "OPTIMIZE="
+ "DEBUG="
+ "CONFIG_SRC=configs/samples"
+ "CONFIG_EXTEN=.sample"
+ "AST_FORTIFY_SOURCE="
+ )
+
+ emake "${make_args[@]}" "$@"
+}
+
+pkg_pretend() {
+ CONFIG_CHECK="~!NF_CONNTRACK_SIP"
+ local WARNING_NF_CONNTRACK_SIP="SIP (NAT) connection tracking is enabled. Some users
+ have reported that this module dropped critical SIP packets in their deployments. You
+ may want to disable it if you see such problems."
+ check_extra_config
+
+ [[ "${MERGE_TYPE}" == binary ]] && return
+
+ if tc-is-clang; then
+ use blocks || die "CC=clang requires USE=blocks"
+ else
+ use blocks && die "USE=blocks can only be used with CC=clang"
+ fi
+}
+
+pkg_setup() {
+ use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+ default
+ AT_M4DIR="autoconf third-party third-party/pjproject third-party/jansson third-party/libjwt" \
+ AC_CONFIG_SUBDIRS=menuselect eautoreconf
+}
+
+src_configure() {
+ local vmst
+ local copt cstate
+ local myconf=(
+ LUA_VERSION="${ELUA#lua}" \
+ --localstatedir="/var" \
+ --with-crypto \
+ --with-gsm=internal \
+ --with-popt \
+ --with-z \
+ --with-libedit \
+ --without-jansson-bundled \
+ --without-pjproject-bundled \
+ $(use_with caps cap) \
+ $(use_with codec2) \
+ $(use_with lua lua) \
+ $(use_with http gmime) \
+ $(use_with newt) \
+ $(use_with pjproject) \
+ $(use_with portaudio) \
+ $(use_with ssl) \
+ $(use_with unbound)
+ )
+
+ econf "${myconf[@]}"
+
+ ast_menuselect() {
+ menuselect/menuselect "$@" menuselect.makeopts || die "menuselect $* failed."
+ }
+
+ _use_select() {
+ local state=$(use "$1" && echo enable || echo disable)
+ local x
+ shift # remove use from parameters
+
+ for x; do
+ ast_menuselect --${state} "$x"
+ done
+ }
+
+ # Blank out sounds/sounds.xml file to prevent
+ # asterisk from installing sounds files (we pull them in via
+ # asterisk-{core,extra}-sounds and asterisk-moh-opsound.
+ >sounds/sounds.xml || die "Unable to blank out sounds/sounds.xml"
+
+ # That NATIVE_ARCH chatter really is quite bothersome
+ sed -i 's/NATIVE_ARCH=/&0/' build_tools/menuselect-deps || die "Unable to squelch noisy build system"
+
+ # Compile menuselect binary for optional components
+ ast_make menuselect.makeopts
+
+ # Disable astdb2* tools. We've been on sqlite long enough
+ # that this should really no longer be a problem (bug #https://bugs.gentoo.org/872194)
+ ast_menuselect --disable astdb2sqlite3
+ ast_menuselect --disable astdb2bdb
+
+ # Disable BUILD_NATIVE (bug #667498)
+ ast_menuselect --disable build_native
+
+ # Broken functionality is forcibly disabled (bug #360143)
+ ast_menuselect --disable chan_ooh323
+
+ # Utility set is forcibly enabled (bug #358001)
+ ast_menuselect --enable smsq
+ ast_menuselect --enable streamplayer
+ ast_menuselect --enable aelparse
+ ast_menuselect --enable astman
+
+ # SSL is forcibly enabled, IAX2 & DUNDI are expected to be available
+ ast_menuselect --enable pbx_dundi
+ ast_menuselect --enable func_aes
+ ast_menuselect --enable chan_iax2
+
+ # SQlite3 is now the main database backend, enable related features
+ ast_menuselect --enable cdr_sqlite3_custom
+ ast_menuselect --enable cel_sqlite3_custom
+
+ # Disable conversion tools (which fails to compile in some cases).
+ ast_menuselect --disable astdb2bdb
+
+ # The others are based on USE-flag settings
+ _use_select bluetooth chan_mobile
+ _use_select calendar res_calendar res_calendar_{caldav,ews,exchange,icalendar}
+ _use_select cluster res_corosync
+ _use_select codec2 codec_codec2
+ _use_select curl func_curl res_config_curl res_curl
+ _use_select freetds {cdr,cel}_tds
+ _use_select gtalk chan_motif
+ _use_select http res_http_post
+ _use_select iconv func_iconv
+ _use_select ilbc codec_ilbc format_ilbc
+ _use_select ldap res_config_ldap
+ _use_select lua pbx_lua
+ _use_select mysql res_config_mysql
+ _use_select odbc cdr_adaptive_odbc res_config_odbc {cdr,cel,res,func}_odbc
+ _use_select postgres {cdr,cel}_pgsql res_config_pgsql
+ _use_select radius {cdr,cel}_radius
+ _use_select snmp res_snmp
+ _use_select span res_fax_spandsp
+ _use_select speex {codec,func}_speex
+ _use_select speex format_ogg_speex
+ _use_select srtp res_srtp
+ _use_select statsd res_statsd res_{endpoint,chan}_stats
+ _use_select vorbis format_ogg_vorbis
+ _use_select xmpp res_xmpp
+
+ # Voicemail storage ...
+ ast_menuselect --enable app_voicemail
+ for vmst in "${IUSE_VOICEMAIL_STORAGE[@]}"; do
+ if use "${vmst#+}"; then
+ ast_menuselect --enable "app_voicemail_${vmst##*_}"
+ fi
+ done
+
+ if use debug; then
+ for o in DONT_OPTIMIZE DEBUG_FD_LEAKS MALLOC_DEBUG BETTER_BACKTRACES; do
+ ast_menuselect --enable "${o}"
+ done
+ fi
+
+ if [[ -n "${GENTOO_ASTERISK_CUSTOM_MENUSELECT:+yes}" ]]; then
+ for copt in ${GENTOO_ASTERISK_CUSTOM_MENUSELECT}; do
+ cstate=--enable
+ [[ "${copt}" == -* ]] && cstate=--disable
+ ebegin "Custom option ${copt#[-+]} ${cstate:2}d"
+ ast_menuselect ${cstate} "${copt#[-+]}"
+ eend $?
+ done
+ fi
+}
+
+src_compile() {
+ ast_make
+}
+
+src_install() {
+ local d
+
+ dodir "/usr/$(get_libdir)/pkgconfig"
+
+ diropts -m 0750 -o root -g asterisk
+ dodir /etc/asterisk
+
+ ast_make install install-headers install-configs "DESTDIR=${D}"
+
+ fowners asterisk: /var/lib/asterisk/astdb
+
+ if use radius; then
+ insinto /etc/radiusclient/
+ doins contrib/dictionary.digium
+ fi
+
+ # keep directories
+ diropts -m 0750 -o asterisk -g root
+ keepdir /var/spool/asterisk/{system,tmp,meetme,monitor,dictate,voicemail,recording,outgoing}
+ diropts -m 0750 -o asterisk -g asterisk
+ keepdir /var/log/asterisk/{cdr-csv,cdr-custom}
+
+ # Reset diropts else dodoc uses it for doc installations.
+ diropts -m0755
+
+ dodoc README* BUGS CREDITS
+
+ # install extra documentation
+ use doc && dodoc doc/*.{txt,pdf}
+
+ # Asterisk installs a few folders that's empty by design,
+ # but still required. This finds them, and marks them for
+ # portage.
+ while read d <&3; do
+ keepdir "${d#${ED}}"
+ done 3< <(find "${ED}"/var -type d -empty || die "Find failed.")
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ elog "Asterisk Wiki: https://wiki.asterisk.org/wiki/"
+ elog "Gentoo VoIP IRC Channel: #gentoo-voip @ irc.libera.chat"
+ else
+ local my_replacing=() x
+ for x in ${REPLACING_VERSIONS}; do
+ [[ $(ver_cut 1 ${x}) != $(ver_cut 1) ]] &&
+ my_replacing+=( $(ver_cut 1 ${x}) )
+ done
+ if [[ "${#my_replacing}" -gt 0 ]]; then
+ my_replacing="${my_replacing[*]}"
+ my_replacing="${my_replacing// /, }"
+ [[ "${my_replacing}" = *", "* ]] &&
+ my_replacing="${my_replacing%, *} or ${my_replacing##*, }"
+ elog "You are updating from Asterisk ${my_replacing}, you should reference the upgrade document:"
+ elog "https://wiki.asterisk.org/wiki/display/AST/Upgrading+to+Asterisk+$(ver_cut 1)"
+ elog "Assistance also available on Gentoo VoIP IRC Channel: #gentoo-voip @ irc.libera.chat"
+ fi
+ fi
+
+ if [[ -n "${GENTOO_ASTERISK_CUSTOM_MENUSELECT:+yes}" ]]; then
+ ewarn "You are using GENTOO_ASTERISK_CUSTOM_MENUSELECT, this should only be used"
+ ewarn "for debugging, for anything else, please file a bug on https://bugs.gentoo.org"
+ fi
+
+ if [[ -f /var/lib/asterisk/astdb.sqlite3 ]]; then
+ ewarn "Default astdb location has changed from /var/lib/asterisk to /var/lib/asterisk/astdb"
+ ewarn "You still have a /var/lib/asterisk/astdb.sqlite file. You need to either set"
+ ewarn "astdbdir in /etc/asterisk/asterisk.conf to /var/lib/asterisk or follow these"
+ ewarn "steps to migrate:"
+ ewarn "1. /etc/init.d/asterisk stop"
+ ewarn "2. mv /var/lib/asterisk/astdb.sqlite /var/lib/asterisk/astdb/"
+ ewarn "3. /etc/init.d/asterisk start"
+ ewarn "This update was done partly for security reasons so that /var/lib/asterisk can be root owned."
+ fi
+}
next reply other threads:[~2024-08-05 15:04 UTC|newest]
Thread overview: 234+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-05 15:04 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-25 22:55 [gentoo-commits] repo/gentoo:master commit in: net-misc/asterisk/ Matt Jolly
2024-10-25 22:55 Matt Jolly
2024-10-25 22:55 Matt Jolly
2024-10-25 22:55 Matt Jolly
2024-10-25 22:55 Matt Jolly
2024-10-24 11:23 Arthur Zamarin
2024-10-24 4:14 Sam James
2024-10-18 14:37 Sam James
2024-10-18 14:37 Sam James
2024-10-18 14:37 Sam James
2024-10-18 14:37 Sam James
2024-10-18 14:37 Sam James
2024-09-27 23:23 Jakov Smolić
2024-09-27 12:41 Arthur Zamarin
2024-09-27 5:57 Eli Schwartz
2024-09-27 5:57 Eli Schwartz
2024-09-27 5:57 Eli Schwartz
2024-08-18 17:33 Arthur Zamarin
2024-08-18 17:33 Arthur Zamarin
2024-08-16 8:02 Arthur Zamarin
2024-08-16 8:02 Arthur Zamarin
2024-08-16 7:28 Arthur Zamarin
2024-08-16 7:28 Arthur Zamarin
2024-08-13 7:36 Joonas Niilola
2024-08-13 7:36 Joonas Niilola
2024-08-13 7:36 Joonas Niilola
2024-08-13 7:36 Joonas Niilola
2024-08-05 15:04 Michał Górny
2024-08-05 15:04 Michał Górny
2024-08-05 15:04 Michał Górny
2024-08-05 15:04 Michał Górny
2024-02-06 14:55 Joonas Niilola
2024-02-06 14:55 Joonas Niilola
2024-02-06 14:55 Joonas Niilola
2024-01-12 8:30 Arthur Zamarin
2024-01-05 5:14 Sam James
2024-01-05 5:14 Sam James
2024-01-05 5:14 Sam James
2023-09-14 12:57 Joonas Niilola
2023-08-24 18:09 Arthur Zamarin
2023-08-24 18:09 Arthur Zamarin
2023-08-24 18:06 Arthur Zamarin
2023-08-24 18:06 Arthur Zamarin
2023-08-11 8:13 Joonas Niilola
2023-08-11 8:13 Joonas Niilola
2023-08-11 8:13 Joonas Niilola
2023-08-11 8:13 Joonas Niilola
2023-05-27 8:24 Joonas Niilola
2023-05-27 8:24 Joonas Niilola
2023-05-16 6:16 Joonas Niilola
2023-05-16 6:16 Joonas Niilola
2023-05-16 6:16 Joonas Niilola
2023-05-16 6:16 Joonas Niilola
2023-05-11 1:29 Sam James
2023-05-11 1:29 Sam James
2023-05-11 1:29 Sam James
2023-05-11 1:29 Sam James
2023-04-20 21:52 Sam James
2023-04-20 21:52 Sam James
2023-04-20 21:52 Sam James
2023-04-20 21:52 Sam James
2023-04-05 12:00 Joonas Niilola
2023-04-05 12:00 Joonas Niilola
2023-02-28 16:13 Joonas Niilola
2023-02-28 16:13 Joonas Niilola
2023-02-28 16:13 Joonas Niilola
2022-12-13 5:27 Sam James
2022-12-13 5:27 Sam James
2022-11-05 13:41 Joonas Niilola
2022-11-05 13:41 Joonas Niilola
2022-11-05 13:41 Joonas Niilola
2022-08-23 8:59 Matthew Smith
2022-08-23 8:59 Matthew Smith
2022-08-19 3:46 Sam James
2022-08-18 21:32 Sam James
2022-08-18 21:32 Sam James
2022-08-18 21:32 Sam James
2022-08-18 21:32 Sam James
2022-08-18 21:01 Sam James
2022-07-13 8:01 Sam James
2022-07-13 8:01 Sam James
2022-07-13 8:01 Sam James
2022-02-19 5:17 Sam James
2022-02-19 5:17 Sam James
2021-12-20 11:10 Joonas Niilola
2021-12-20 11:10 Joonas Niilola
2021-12-20 11:10 Joonas Niilola
2021-12-20 11:10 Joonas Niilola
2021-12-20 11:10 Joonas Niilola
2021-12-20 11:10 Joonas Niilola
2021-12-10 22:17 Jakov Smolić
2021-12-10 22:17 Jakov Smolić
2021-12-10 12:40 Jakov Smolić
2021-12-10 12:40 Jakov Smolić
2021-11-12 1:36 Sam James
2021-11-11 11:36 Agostino Sarubbo
2021-11-10 16:54 Jakov Smolić
2021-11-10 16:54 Jakov Smolić
2021-10-14 8:01 Sam James
2021-10-14 8:01 Sam James
2021-09-25 19:08 Sam James
2021-09-04 6:26 Joonas Niilola
2021-09-04 6:26 Joonas Niilola
2021-07-30 23:31 Sam James
2021-07-24 7:58 Agostino Sarubbo
2021-07-24 7:57 Agostino Sarubbo
2021-07-23 7:25 Joonas Niilola
2021-07-13 7:29 Joonas Niilola
2021-07-13 7:29 Joonas Niilola
2021-07-12 10:40 Joonas Niilola
2021-07-12 10:40 Joonas Niilola
2021-07-12 10:40 Joonas Niilola
2021-07-12 10:40 Joonas Niilola
2021-06-30 20:49 Sam James
2021-06-30 20:49 Sam James
2021-06-30 20:49 Sam James
2021-06-30 20:49 Sam James
2021-06-25 19:19 Ulrich Müller
2021-06-24 23:27 Sam James
2021-06-03 19:15 Sam James
2021-05-23 18:48 Andreas Sturmlechner
2021-05-22 15:26 Sam James
2021-05-13 4:32 Sam James
2021-05-13 4:31 Sam James
2021-05-11 8:47 Joonas Niilola
2021-05-11 8:47 Joonas Niilola
2021-05-02 12:09 Mikle Kolyada
2021-04-09 10:04 Joonas Niilola
2021-04-09 10:04 Joonas Niilola
2021-03-29 15:29 Sam James
2021-03-26 0:08 Sam James
2021-03-25 23:17 Sam James
2021-03-19 8:52 Joonas Niilola
2021-03-19 8:52 Joonas Niilola
2021-03-09 9:44 Sam James
2021-03-07 11:58 David Seifert
2021-02-10 19:05 Sam James
2021-01-23 4:20 Sam James
2021-01-23 4:09 Sam James
2021-01-22 5:40 Sam James
2021-01-07 10:06 Sam James
2021-01-01 23:00 Sam James
2020-12-23 21:31 Marek Szuba
2020-12-23 21:31 Marek Szuba
2020-11-02 14:21 Sam James
2020-10-26 13:16 Joonas Niilola
2020-10-26 13:16 Joonas Niilola
2020-10-25 19:46 Thomas Deutschmann
2020-09-12 1:49 Sam James
2020-09-12 1:49 Sam James
2020-09-12 1:49 Sam James
2020-09-12 1:49 Sam James
2020-07-20 21:02 Sam James
2020-07-20 21:02 Sam James
2020-07-20 21:02 Sam James
2020-07-20 20:40 Sam James
2020-07-20 20:40 Sam James
2020-07-20 12:24 Sam James
2020-07-19 12:22 Agostino Sarubbo
2020-07-19 12:18 Agostino Sarubbo
2020-07-16 17:45 Sam James
2020-07-01 6:39 Joonas Niilola
2020-07-01 6:39 Joonas Niilola
2020-07-01 6:39 Joonas Niilola
2020-06-17 17:15 Thomas Deutschmann
2020-06-17 17:15 Thomas Deutschmann
2020-05-08 10:46 Agostino Sarubbo
2020-05-07 15:58 Agostino Sarubbo
2020-05-06 6:48 Sergei Trofimovich
2020-05-04 17:26 Joonas Niilola
2020-04-21 8:18 Joonas Niilola
2020-04-17 7:36 Joonas Niilola
2020-04-15 6:58 Agostino Sarubbo
2020-04-14 16:43 Agostino Sarubbo
2020-04-14 12:32 Agostino Sarubbo
2020-04-13 7:42 Joonas Niilola
2020-03-31 8:25 Mikle Kolyada
2020-02-24 5:55 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2019-09-10 13:37 Lars Wendler
2018-10-18 8:08 Tony Vroon
2018-10-17 16:10 Agostino Sarubbo
2018-10-17 12:07 Thomas Deutschmann
2018-10-17 8:33 Tony Vroon
2018-10-17 8:29 Tony Vroon
2018-10-06 18:40 Sergei Trofimovich
2018-10-06 18:40 Sergei Trofimovich
2018-10-06 18:40 Sergei Trofimovich
2018-10-06 18:40 Sergei Trofimovich
2018-08-13 12:46 Tony Vroon
2018-08-01 13:39 Tony Vroon
2018-03-26 12:50 Tony Vroon
2018-03-24 0:41 Aaron Bauman
2018-03-23 23:37 Aaron Bauman
2018-03-17 7:11 Matt Turner
2018-03-12 10:51 Agostino Sarubbo
2018-03-09 16:04 Tony Vroon
2018-01-25 10:20 Tony Vroon
2018-01-24 10:55 Tony Vroon
2017-10-25 9:31 Agostino Sarubbo
2017-10-03 16:05 Tony Vroon
2017-10-03 0:42 Thomas Deutschmann
2017-09-19 22:08 Tony Vroon
2017-09-19 9:22 Tony Vroon
2017-09-19 0:17 Tony Vroon
2017-06-04 21:40 Thomas Deutschmann
2017-03-10 9:58 Tony Vroon
2017-02-23 13:02 Michael Weber
2017-02-23 9:08 Michael Weber
2016-12-14 10:24 Aaron Bauman
2016-12-13 11:30 Agostino Sarubbo
2016-12-13 11:05 Agostino Sarubbo
2016-12-09 14:38 Tony Vroon
2016-12-01 16:04 Tony Vroon
2016-11-09 10:25 Tony Vroon
2016-09-12 10:52 Tony Vroon
2016-06-30 18:32 Michał Górny
2016-06-30 12:29 Tony Vroon
2016-05-04 10:35 Tony Vroon
2016-03-09 14:14 Tony Vroon
2016-02-08 11:46 Tony Vroon
2016-02-05 15:37 Tony Vroon
2016-02-05 15:09 Tony Vroon
2016-02-05 15:04 Agostino Sarubbo
2016-02-05 15:03 Agostino Sarubbo
2016-02-05 13:23 Tony Vroon
2016-01-19 10:05 Tony Vroon
2015-12-07 13:45 Tony Vroon
2015-12-07 13:45 Tony Vroon
2015-10-18 18:23 Michał Górny
2015-10-05 13:52 Julian Ospald
2015-08-11 10:40 Tony Vroon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1722870282.c4597f73e092791d69c68aa9e5db3ce3dd7021f7.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox